summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorManuel Rüger <mrueg@gentoo.org>2018-01-12 13:38:08 +0100
committerManuel Rüger <mrueg@gentoo.org>2018-01-12 13:38:08 +0100
commit706a1294d62fcb7171151723539d60590c05eda6 (patch)
treedced5a116e6da45e2f45dc94fa8cc3b06ec57ddc /net-analyzer/prometheus/files
parentnet-analyzer/prometheus: Remove old (diff)
downloadgentoo-706a1294d62fcb7171151723539d60590c05eda6.tar.gz
gentoo-706a1294d62fcb7171151723539d60590c05eda6.tar.bz2
gentoo-706a1294d62fcb7171151723539d60590c05eda6.zip
net-analyzer/prometheus: Add reload functionality to init script
Package-Manager: Portage-2.3.19, Repoman-2.3.6
Diffstat (limited to 'net-analyzer/prometheus/files')
-rw-r--r--net-analyzer/prometheus/files/prometheus-3.initd11
1 files changed, 10 insertions, 1 deletions
diff --git a/net-analyzer/prometheus/files/prometheus-3.initd b/net-analyzer/prometheus/files/prometheus-3.initd
index 5f6d6fe14267..ae151ef91fbd 100644
--- a/net-analyzer/prometheus/files/prometheus-3.initd
+++ b/net-analyzer/prometheus/files/prometheus-3.initd
@@ -1,5 +1,5 @@
#!/sbin/openrc-run
-# Copyright 2016-2017 Gentoo Foundation
+# Copyright 2016-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
description="Prometheus monitoring system and time series database"
@@ -14,6 +14,15 @@ start_stop_daemon_args="--user ${user} --group ${group} \
--stdout /var/log/${RC_SVCNAME}/${RC_SVCNAME}.log \
--stderr /var/log/${RC_SVCNAME}/${RC_SVCNAME}.log"
+extra_started_commands="reload"
+
depend() {
after net
}
+
+reload() {
+ ebegin "Reloading ${SVCNAME}"
+ start-stop-daemon --signal HUP --pidfile "${pidfile}"
+ eend $? "Failed to stop ${SVCNAME}"
+}
+